Package tigase.server.xmppclient

## Class ClientTrustManagerFactory.ClientTrustVHostItemExtensionProvider

- java.lang.Object
- - tigase.server.xmppclient.ClientTrustManagerFactory.ClientTrustVHostItemExtensionProvider

- All Implemented Interfaces:
    `VHostItemExtensionProvider<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`
  Enclosing class:
    ClientTrustManagerFactory

      @Bean(name="client-trust-extension",
            parent=VHostItemExtensionManager.class,
            active=true)
      public static class ClientTrustManagerFactory.ClientTrustVHostItemExtensionProvider
      extends java.lang.Object
      implements VHostItemExtensionProvider<ClientTrustManagerFactory.ClientTrustVHostItemExtension>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientTrustVHostItemExtensionProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<ClientTrustManagerFactory.ClientTrustVHostItemExtension>` | `getExtensionClazz()` | Returns class of the extension
    `java.lang.String` | `getId()` | Returns unique id of the extension

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientTrustVHostItemExtensionProvider

          public ClientTrustVHostItemExtensionProvider()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `VHostItemExtensionProvider`
      Returns unique id of the extension
      Specified by:
        `getId` in interface `VHostItemExtensionProvider<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`

    - #### getExtensionClazz

          public java.lang.Class<ClientTrustManagerFactory.ClientTrustVHostItemExtension> getExtensionClazz()

      Description copied from interface: `VHostItemExtensionProvider`
      Returns class of the extension
      Specified by:
        `getExtensionClazz` in interface `VHostItemExtensionProvider<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`